
environment:
  client_key: <API Gateway Client Key here>
  client_secret: <API Gateway Secret Key here>

# uncomment if using the card client outside the CUDN
# lookup_credentials:
#  username: <Lookup Group Name here>
#  password: <Lookup Group Password here>

queries:
  # fetch people who do not have a USN, CRSid or Staff number
  - by: legacy_carddb_organisation_id
    id: 31
    extra_fields_for_results:
      affiliation_status: other
      source: legacy_organisation
  # fetch any people in Lookup institution with no misAffiliation
  - by: lql
    lql_query: in inst ('CORPUS') and misAffiliation = ''
    extra_fields_for_results:
      affiliation_status: other
      source: lookup_other
  # fetch any people in Lookup institution with misAffiliation staff
  - by: lql
    lql_query: in inst ('CORPUS') and misAffiliation = 'staff'
    extra_fields_for_results:
      affiliation_status: staff
      source: lookup_staff
  # fetch any staff members by CHRIS department
  - by: university_hr_institution
    id: CC
    extra_fields_for_results:
      affiliation_status: staff
      source: university_hr
  # fetch any students by CamSIS department
  - by: student_institution
    id: CC
    extra_fields_for_results:
      source: student_institution
  # fetch any recent graduates by CamSIS department
  - by: recent_graduate_institution
    id: CC
    affiliation_status: PGRD
    extra_fields_for_results:
      source: recent_graduate_institution

# ensure duplicate cards are not exported
output:
  deduplicate: true

# filter to only include issued cards
filter:
  status: ISSUED
